> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> This endpoint creates an account.

Any fields described in the MDX Data Spec may optionally be sent.

The id cannot begin with "ACT-" as this is reserved for the system.

| Field     | Description                                                         |
| --------- | ------------------------------------------------------------------- |
| `id`      | Unique identifier for the account                                   |
| `name`    | Name of the account                                                 |
| `type`    | Type of the account. See this table for a listing of account types. |
| `balance` | Account balance. Should be positive by default.                     |

## Path Parameters

<ParamField path="user_id" type="string" required />

<ParamField path="member_id" type="string" required />

<RequestExample>
  ```shell Request theme={null}
  curl -i -X POST https://int-migration.moneydesktop.com/{client_id}/users/{user_id}/migrate/members/{member_id}/accounts \
    -d '<account><id>:id</id><name>:name</name><balance>:balance</balance><type>:type</type></account>' \
    -H "Content-Type:application/vnd.mx.migration.v1+xml" \
    -H "Accept:application/vnd.mx.migration.v1+xml" \
    -H "MD-API-KEY: :api_key"
  ```
</RequestExample>

<ResponseExample>
  ```xml Response theme={null}
  <account>
    <id>A-XZ5Y4L</id>
    <account_number>12345-678<account_number>
    <apr nil="true"/>
    <apy nil="true"/>
    <available_balance type="float">155.87</available_balance>
    <available_credit nil="true"/>
    <balance type="float">175.0</balance>
    <credit_limit nil="true"/>
    <day_payment_is_due type="integer">1</day_payment_is_due>
    <federal_insurance_status nil="true" />
    <guid>ACT-1eb8cf90-367f-1184-f0d1-bede20d3e07c</guid>
    <interest_rate nil="true"/>
    <is_hidden type="boolean">false</is_hidden>
    <last_payment type="float">50.0</last_payment>
    <last_payment_at type="integer">1543665600</last_payment_at>
    <last_payment_on>2018-12-01</last_payment_on>
    <minimum_balance type="float">5.0</minimum_balance>
    <minimum_payment nil="true"/>
    <name>Premium Savings</name>
    <nickname nil="true"/>
    <original_balance nil="true"/>
    <payoff_balance nil="true"/>
    <matures_at type="integer">1382975431</matures_at>
    <member_id>M-39XBF7</member_id>
    <member_guid>MBR-232ee605-10f7-e94b-556e-3cd7b6d639af</member_guid>
    <started_at type="integer">1382975431</started_at>
    <statement_balance nil="true"/>
    <subtype nil="true"/>
    <type>SAVINGS</type>
    <user_id>U-39XBF7</user_id>
    <user_guid>USR-c921d37a-9ae4-1fe3-2c4f-96a84bb72b50</user_guid>
  </account>
  ```
</ResponseExample>
